[Overview][Procedures and functions][Index] | Reference for unit 'Strings' (#rtl)

# strriscan

Scan a string reversely for a character, case-insensitive

## Declaration

Source position: strings.pp line 78

`function strriscan(`
`p: PChar;`
`c: Char`
`):PChar;`

## Description

strriscan does the same as strrscan but compares the characters case-insensitively. It returns a pointer to the last occurrence of the character c in the null-terminated string p, or Nil if c is not present in the string.

## See also

strrscan |  | Find last occurrence of a character in a null-terminated string.
striscan |  | Scan a string for a character, case-insensitive